> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Accounts

> Get a list of authenticated accounts for the current user.



## OpenAPI

````yaml GET /api/v3/brokerage/accounts
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/accounts:
    get:
      tags:
        - Accounts
      summary: List Accounts
      description: Get a list of authenticated accounts for the current user.
      operationId: RetailBrokerageApi_GetAccounts
      parameters:
        - name: limit
          description: >-
            The number of accounts to display per page. By default, displays 49
            (max 250). If `has_next` is true, additional pages of accounts are
            available to be fetched. Use the `cursor` parameter to start on a
            specified page.
          in: query
          required: false
          schema:
            type: integer
            format: int32
        - name: cursor
          description: >-
            For paginated responses, returns all responses that come after this
            value.
          in: query
          required: false
          schema:
            type: string
        - name: retail_portfolio_id
          description: >-
            **(Deprecated)** Only returns the accounts matching the portfolio
            ID. Only applicable for legacy keys. CDP keys will default to the
            key's permissioned portfolio.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetAccountsResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetAccountsResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:accounts:read
components:
  schemas:
    coinbase.public_api.authed.retail_brokerage_api.GetAccountsResponse:
      type: object
      properties:
        accounts:
          type: array
          items:
            $ref: >-
              #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.Account
        has_next:
          type: boolean
          example: true
          description: Whether there are additional pages for this query.
          required:
            - has_next
        cursor:
          type: string
          example: '789100'
          description: >-
            For paginated responses, returns all responses that come after this
            value.
        size:
          type: integer
          format: int32
          description: Number of accounts returned
      required:
        - has_next
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.public_api.authed.retail_brokerage_api.Account:
      type: object
      properties:
        uuid:
          type: string
          example: 8bfc20d7-f7c6-4422-bf07-8243ca4169fe
          description: Unique identifier for account.
        name:
          type: string
          example: BTC Wallet
          description: Name for the account.
        currency:
          type: string
          example: BTC
          description: Currency symbol for the account.
        available_balance:
          description: Available balance in the account.
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.Amount
        default:
          type: boolean
          example: false
          description: Whether or not this account is the user's primary account
        active:
          type: boolean
          example: true
          description: Whether or not this account is active and okay to use.
        created_at:
          type: string
          format: RFC3339 Timestamp
          example: '2021-05-31T09:59:59Z'
          description: Time at which this account was created.
        updated_at:
          type: string
          format: RFC3339 Timestamp
          example: '2021-05-31T09:59:59Z'
          description: Time at which this account was updated.
        deleted_at:
          type: string
          format: RFC3339 Timestamp
          example: '2021-05-31T09:59:59Z'
          description: Time at which this account was deleted.
        type:
          example: FIAT
          description: What type the account is.
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.AccountType
        ready:
          type: boolean
          example: true
          description: Whether or not this account is ready to trade.
        hold:
          description: >-
            Amount that is being held for pending transfers against the
            available balance.
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.Amount
        retail_portfolio_id:
          type: string
          example: b87a2d3f-8a1e-49b3-a4ea-402d8c389aca
          description: The ID of the portfolio this account is associated with.
        platform:
          example: ACCOUNT_PLATFORM_CONSUMER
          description: >-
            Platform indicates if the account is for spot (CONSUMER), US
            Derivatives (CFM_CONSUMER), or International Exchange (INTX).
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.AccountPlatform
    coinbase.public_api.authed.retail_brokerage_api.Amount:
      type: object
      properties:
        value:
          type: string
          example: '1.23'
          description: Amount of currency that this object represents.
          required:
            - value
        currency:
          type: string
          example: BTC
          description: Denomination of the currency.
          required:
            - currency
      required:
        - value
        - currency
    coinbase.public_api.authed.retail_brokerage_api.AccountType:
      type: string
      enum:
        - ACCOUNT_TYPE_UNSPECIFIED
        - ACCOUNT_TYPE_CRYPTO
        - ACCOUNT_TYPE_FIAT
        - ACCOUNT_TYPE_VAULT
        - ACCOUNT_TYPE_PERP_FUTURES
      default: ACCOUNT_TYPE_UNSPECIFIED
      title: Account type defines the type of account that is supported
    coinbase.public_api.authed.retail_brokerage_api.AccountPlatform:
      type: string
      enum:
        - ACCOUNT_PLATFORM_UNSPECIFIED
        - ACCOUNT_PLATFORM_CONSUMER
        - ACCOUNT_PLATFORM_CFM_CONSUMER
        - ACCOUNT_PLATFORM_INTX
      default: ACCOUNT_PLATFORM_UNSPECIFIED
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````